@import url('./global.css');

.mobil-component-logo__link,
.footer-menu-link {
	display: inline-block;
	font-style: normal;
	font-weight: 400;
	font-size: 16px;
	line-height: normal;
	color: var(--color-black);
	font-display: swap;
	text-decoration: none;
}

img {
	display: block;
}

.footer-menu__main,
.footer-menu__types {
	border-bottom: none;
}
.footer-menu__contact-btn {
	display: flex;
	justify-content: center;
	align-items: center;
	box-sizing: border-box;
	cursor: pointer;
	background-color: var(--color-black);
	box-shadow: 0 22px 23px -11px #00000040, inset 0 -11px 27px 6px #ffffff40;
	color: var(--color-white);
	border-radius: 14px;
	padding: 8px 16px;
	border: none;
	font-size: 14px;
	font-weight: 400;
}
.footer-menu__contact-btn svg {
	width: 18px;
	height: 18px;
	margin-right: 8px;
}

.arrow img {
	transform: rotate(0deg);
	width: 16px;
	height: 9px;
}
.arrow {
	display: inline-block;
	transform: rotate(0deg);
	transition: transform 0.2s ease;
}
.arrow.active {
	transform: rotate(180deg);
}

.language-content {
	position: relative;
}
.language-btn {
	display: flex;
	align-items: center;
	border: none;
	background-color: var(--white-color);
	cursor: pointer;
}
.language-content img {
	margin-left: 0;
	margin-right: 10px;
	width: -webkit-max-content;
	width: max-content;
	height: -webkit-max-content;
	height: max-content;
}
.select-lang {
	font-style: normal;
	font-weight: 400;
	font-size: 18px;
	line-height: 140%;
	color: var(--color-black);
	text-transform: uppercase;
}
.lang-arrow {
	font-style: normal;
	font-size: 14px;
	margin-left: 6px;
	margin-right: 0;
}
.lang-arrow img {
	transform: rotate(0deg);
	width: 10px;
	height: 5.45px;
	transition: transform 0.2s ease;
}
.language-list {
	display: none;
	flex-wrap: wrap;
	position: absolute;
	top: calc(100% + 5px);
	right: 0;
	left: unset;
	background-color: var(--color-white);
	list-style: none;
	padding: 0;
	max-width: 300px;
	width: -webkit-max-content;
	width: max-content;
	transition: all 0.2s;
	border-radius: 4px;
	box-shadow: 0 6px 16px 0 #00000014, 0 3px 6px -4px #0000001f,
		0 9px 28px 8px #0000000d;
	max-height: 279px;
	overflow-y: auto;
	overflow-x: hidden;
	scrollbar-width: none;
	scrollbar-color: #0000004d var(--color-light-gray2);
	z-index: 9999;
}
.language-list.language-list-destkop {
	top: -115px;
}
.language-list.active {
	display: flex;
}
.language-list--items {
	display: flex;
	flex: 0 0 50%;
	align-items: center;
	padding: 10px;
	cursor: pointer;
	height: 40px;
	border-bottom: 1px solid var(--color-background-gray);
	border-right: 1px solid var(--color-background-gray);
}
.language-list--items:hover {
	background-color: #f5f5f5;
}

.lang-arrow.active img {
	transform: rotate(180deg);
}

/* Media query */
@media (min-width: 576px), screen and (max-width: 576px) {
	.footer {
		margin: 0 auto;
		width: 100%;
		max-width: 1920px;
		padding-top: 20px;
		background-color: var(--color-white);
	}
	.footer-container {
		width: calc(100% - 40px);
		max-width: 1400px;
		margin: 0 auto;
		padding-bottom: 20px;
		position: static;
	}
	.mobil-component-logo {
		display: flex;
		justify-content: space-between;
		align-items: center;
		margin-bottom: 8px;
	}
	.mobil-component-awards {
		display: flex;
		align-items: flex-start;
		gap: 20px;
	}
	.mobil-component-logo__link img {
		width: 91px;
		aspect-ratio: auto 91 / 40;
		height: 40px;
	}
	.mobil-component-awards img:first-child {
		width: 45px;
		aspect-ratio: auto 45 / 48;
		height: 48px;
	}
	.mobil-component-awards img:last-child {
		width: 101px;
		aspect-ratio: auto 101 / 50;
		height: 50px;
	}

	.footer-menu {
		display: flex;
		flex-direction: column;
		margin-top: 10px;
	}
	.footer-menu__contact,
	.language {
		display: none;
	}
	.footer-menu__main {
		order: 1;
		border-bottom: 1px solid var(--color-light-gray2);
	}
	.footer-menu__types {
		order: 2;
		border-bottom: 1px solid var(--color-light-gray2);
	}
	.footer-menu__inform {
		order: 4;
		border-bottom: 1px solid var(--color-light-gray2);
	}
	.footer-menu__contacts {
		order: 4;
		border-bottom: 1px solid var(--color-light-gray2);
	}
	.footer-menu__mobil-partnership {
		order: 4;
	}
	.footer-menu__partnership {
		order: 8;
	}
	.footer-menu ul {
		text-align: start;
		list-style-type: none;
		margin-left: 0;
		padding-left: 0;
	}
	.footer-container ul {
		margin: 20px 0;
	}
	.footer-menu__contact--list {
		display: flex;
		align-items: center;
	}
	.footer-icon,
	.footer-icon img {
		width: 18px;
		height: 18px;
	}
	.footer-icon {
		margin-right: 15px;
		margin-left: 0;
	}
	.social-btn {
		display: flex;
		align-items: center;
		justify-content: center;
		border: 1px solid var(--color-light-gray);
		background-color: var(--color-white);
		color: #333;
		width: 45px;
		height: 45px;
		border-radius: 50% !important;
		cursor: pointer;
	}
	.social-btn img {
		width: 19px;
		height: 19px;
	}
	.rating-img {
		width: 101px;
		aspect-ratio: auto 101 / 50;
		height: 50px;
	}
	.footer-menu__main--title {
		display: flex;
		align-items: flex-start;
		flex-direction: column;
		padding-top: 20px;
		font-size: 16px;
		font-weight: 600;
		line-height: 120%;
		cursor: pointer;
	}
	.footer-menu__main ul li:not(:last-child),
	.footer-menu__types ul li:not(:last-child),
	.footer-menu__inform ul li:not(:last-child),
	.footer-menu__mobil-partnership ul li:not(:last-child) {
		margin-bottom: 20px;
	}
	.footer-menu-title {
		display: none;
	}

	.footer-menu__partnership .partnership-visible-title:first-of-type {
		display: none;
	}
	.partnership-visible-title {
		display: flex;
		align-items: flex-start;
		flex-direction: column;
		padding-top: 20px;
		font-size: 16px;
		font-weight: 600;
		line-height: 120%;
		cursor: pointer;
	}
	.footer-menu__partnership ul:first-of-type {
		display: none;
	}
	.footer-menu__partnership > ul {
		display: flex;
		gap: 20px;
	}
	.footer-menu__partnership--contact {
		display: flex;
		align-items: center;
	}
	.footer-menu__partnership ul:first-of-type a {
		margin-bottom: 0;
	}
	.partnership-visible-title:nth-of-type(2) {
		border-top: 1px solid var(--color-light-gray2);
	}
	.footer-menu__contacts ul:first-of-type li:not(:last-child) {
		margin-bottom: 15px;
	}
	.sponsors {
		display: flex;
		flex-direction: column-reverse;
		border-top: 1px solid var(--color-light-gray2);
	}
	.copyright {
		text-align: start;
		font-size: 14px;
	}
	.sponsors-logo {
		gap: 20px;
		padding: 24px 0;
		display: grid;
		grid-template-columns: repeat(6, 1fr);
	}
	.sponsors-logo-items {
		width: 100%;
		height: 25px;
		object-fit: contain;
	}
}

@media (max-width: 992px) {
	.footer-menu__list,
	.footer-menu__types,
	.footer-menu__inform {
		display: none;
		transition: all 0.2s ease;
	}
	.footer-menu__list.active,
	.footer-menu__inform.active,
	.footer-menu__types.active {
		display: block;
		border-bottom: 1px solid var(--color-light-gray2) !important;
	}
	.footer-menu__list.active {
		padding-bottom: 20px;
	}
}

@media screen and (min-width: 768px) {
	.mobil-component-logo__link,
	.footer-menu-link {
		font-size: 14px;
	}
	.social-btn {
		width: 36px;
		height: 36px;
	}
	.social-btn img {
		width: 15px;
		height: 15px;
	}
}

@media screen and (min-width: 992px) {
	/* footer */
	.footer {
		padding-top: 30px;
	}
	.footer-container {
		padding-bottom: 0;
		text-align: left;
	}
	.mobil-component-logo,
	.mobil-component-awards,
	.footer-menu__contacts,
	.footer-menu__mobil-partnership,
	.footer-menu__contact--social {
		display: none;
	}
	.mobil-component-logo__link,
	.footer-menu-link {
		font-size: 16px;
		line-height: 140%;
	}
	.mobil-component-logo__link img {
		width: 119px;
		aspect-ratio: auto 119 / 44;
		height: 44px;
	}

	.footer-menu {
		display: flex;
		flex-direction: row;
		justify-content: space-between;
		margin-top: 0;
		gap: 10px;
	}
	.footer-menu__contact {
		display: flex;
		align-items: flex-start;
		flex-direction: column;
	}
	.footer-menu__main,
	.footer-menu__types,
	.footer-menu__inform {
		border-bottom: 0;
	}
	.footer-menu__partnership {
		display: block;
		order: 6;
	}
	.footer-menu__contact ul:first-of-type {
		margin-top: 15px;
	}
	.footer-menu__contact--social {
		display: none;
	}
	.footer-menu__contact--awards {
		display: flex;
		align-items: center;
		gap: 18px;
		margin-top: auto;
		margin-bottom: 20px;
	}
	.footer-menu__contact ul:first-of-type li:not(:last-child) {
		margin-bottom: 18px;
	}
	.footer-icon,
	.footer-icon img {
		width: 24px;
		height: 24px;
	}
	.footer-menu__contact--social ul {
		display: flex;
		gap: 20px;
	}
	.social-btn {
		width: 45px;
		height: 45px;
	}
	.social-btn img {
		width: 19px;
		height: 19px;
	}
	.rating-img {
		aspect-ratio: auto 79 / 42;
	}
	.footer-menu__main--title,
	.partnership-visible-title {
		padding-top: 0;
		padding-bottom: 10px;
		font-size: 16px;
		font-weight: 600;
		line-height: 140%;
	}
	.footer-menu-title {
		display: flex;
		padding-bottom: 10px;
		color: var(--color-black);
		font-size: 16px;
		font-weight: 600;
		line-height: 140%;
	}
	.footer-menu__partnership .partnership-visible-title:first-of-type {
		display: block;
	}
	.footer-menu__partnership ul:first-of-type {
		display: flex;
		margin-top: 20px;
		gap: 20px;
		margin-bottom: 0;
		flex-direction: column;
	}
	.footer-menu__partnership ul:first-of-type a {
		margin: 0;
	}
	.partnership-visible-title:nth-of-type(2) {
		border-top: none;
		padding-top: 60px;
	}

	.arrow {
		display: none;
	}

	.footer-menu__list,
	.footer-menu__inform,
	.footer-menu__types {
		display: block;
	}
	.language {
		position: static;
		display: flex;
		justify-content: flex-end;
	}
	.sponsors {
		display: flex;
		flex-direction: row;
		align-items: center;
		justify-content: space-between;
		margin-top: 34px;
	}
	.sponsors p {
		font-style: normal;
		font-weight: 400;
		font-size: 18px;
		line-height: 140%;
	}
	.sponsors-logo {
		width: 540px;
	}
}

@media screen and (min-width: 1200px) {
	/* footer */
	.footer-container {
		width: calc(100% - 200px);
	}
	.mobil-component-logo__link img {
		width: 149px;
		aspect-ratio: auto 149 / 55;
		height: 55px;
	}
	.footer-menu__main--title,
	.footer-menu-title,
	.partnership-visible-title {
		font-size: 16px;
		font-weight: 600;
		line-height: 140%;
	}
	.footer-menu-title {
		color: var(--color-black);
	}
}

@media screen and (min-width: 1600px) {
	/* footer */
	.footer {
		padding-top: 50px;
	}
	.mobil-component-logo__link,
	.footer-menu-link {
		font-size: 18px;
	}
	.mobil-component-logo__link img {
		width: 170px;
		aspect-ratio: auto 170 / 62;
		height: 62px;
	}
	.footer-menu__contact ul:first-of-type {
		margin-top: 20px;
	}
	.social-btn {
		width: 56px;
		height: 56px;
	}
	.social-btn img {
		width: 24px;
		height: 24px;
	}
	.footer-menu__main--title,
	.footer-menu-title,
	.partnership-visible-title {
		padding-bottom: 20px;
		font-size: 18px;
		font-weight: 600;
		line-height: 140%;
	}
	.footer-menu-title {
		color: var(--color-black);
	}
	.footer-menu__partnership ul:nth-of-type(2) {
		margin-bottom: 0;
	}
	.sponsors {
		margin-top: 15px;
	}
}

@media screen and (min-width: 1920px) {
	/* footer */
	.footer-container {
		max-width: 1600px;
	}
}
